%global	gem_name	racc

Name:		rubygem-%{gem_name}
Version:	1.4.14
Release:	1%{?dist}

Summary:	LALR(1) parser generator
License:	LGPLv2 and (Ruby or GPLv2)
URL:		https://github.com/tenderlove/racc

Source0:	https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildRequires:	rubygems-devel
BuildRequires:	ruby-devel
BuildRequires:	rubygem(minitest) < 5
BuildRequires:	rubygem(minitest) >= 4


%description
Racc is a LALR(1) parser generator.
It is written in Ruby itself, and generates Ruby program.


%package	doc
Summary:	Documentation for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description	doc
Documentation for %{name}.

%prep
rm -rf %{gem_name}-%{version}
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# Fix shebang
grep -rl /usr/local . | xargs sed -i -e 's|/usr/local|/usr|'

# Encoding
for f in \
	sample/calc-ja.y \
	web/racc.ja.rhtml \
	%{nil}
do
	touch -r $f $f.stamp
	iconv -f EUC-JP -t UTF-8 $f > $f.tmp
	mv $f.tmp $f
	touch -r $f.stamp $f
	rm -f $f.stamp
done

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{_prefix}
cp -a .%{_prefix}/* \
	%{buildroot}%{_prefix}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/* \
	%{buildroot}%{gem_extdir_mri}/
rm -f %{buildroot}%{gem_extdir_mri}/{gem_make.out,mkmf.log}

rm -f %{buildroot}%{gem_cache}
pushd %{buildroot}%{gem_instdir}
rm -rf \
	ext/ \
	fastcache/ \
	misc/ \
	tasks/ \
	test/ \
	DEPENDS \
	Manifest.txt \
	Rakefile \
	setup.rb \
	%{nil}

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
ruby -Ilib:. -e \
	"gem 'minitest', '~> 4' ; require 'minitest/autorun' ; Dir.glob('test/test_*.rb').each {|f| require f}"
popd

%files
%dir	%{gem_instdir}

%license	%{gem_instdir}/COPYING
%doc	%lang(ja)	%{gem_instdir}/README.ja.rdoc
%doc	%{gem_instdir}/README.rdoc
%doc	%{gem_instdir}/ChangeLog

%{_bindir}/racc
%{_bindir}/racc2y
%{_bindir}/y2racc

%{gem_extdir_mri}
%{gem_instdir}/bin
%{gem_libdir}

%{gem_spec}

%files	doc
%doc	%{gem_docdir}
%doc	%{gem_instdir}/TODO
%doc	%{gem_instdir}/rdoc
%doc	%{gem_instdir}/sample
%doc	%{gem_instdir}/web

%changelog
* Sun Dec  6 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.4.14-1
- 1.4.14

* Tue Nov 03 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.4.13-1
- Initial package
